> ## Documentation Index
> Fetch the complete documentation index at: https://new-docs.simplecloud.app/llms.txt
> Use this file to discover all available pages before exploring further.

# Partially update a server

> Partially update an existing server



## OpenAPI

````yaml https://controller.simplecloud.app/swagger/doc.json patch /v0/servers
openapi: 3.1.0
info:
  contact:
    email: support@swagger.io
    name: API Support
    url: http://www.swagger.io/support
  description: API for SimpleCloud Controller
  license:
    name: Apache 2.0
    url: http://www.apache.org/licenses/LICENSE-2.0.html
  termsOfService: http://swagger.io/terms/
  title: SimpleCloud Controller API
  version: '1.0'
servers:
  - url: https://controller.platform.simplecloud.app/
security: []
externalDocs:
  description: ''
  url: ''
paths:
  /v0/servers:
    patch:
      tags:
        - servers
      summary: Partially update a server
      description: Partially update an existing server
      parameters:
        - description: Network ID
          in: header
          name: X-Network-ID
          required: true
          schema:
            type: string
        - description: Network Secret
          in: header
          name: X-Network-Secret
          required: true
          schema:
            type: string
        - description: Server ID
          in: query
          name: server_id
          required: true
          schema:
            type: string
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/models.PatchServerRequest'
        description: Server fields to update
        required: true
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/models.PatchServerResponse'
          description: OK
        '400':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/models.ErrorResponse'
          description: Bad Request
        '401':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/models.ErrorResponse'
          description: Unauthorized
        '404':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/models.ErrorResponse'
          description: Not Found
        '500':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/models.ErrorResponse'
          description: Internal Server Error
components:
  schemas:
    models.PatchServerRequest:
      description: Request to partially update an existing server
      properties:
        max_memory:
          example: 2048
          type: integer
        max_players:
          example: 50
          type: integer
        min_memory:
          example: 1024
          type: integer
        player_count:
          example: 10
          type: integer
        properties:
          additionalProperties: {}
          type: object
        state:
          enum:
            - QUEUED
            - PREPARING
            - STARTING
            - AVAILABLE
            - INGAME
            - STOPPING
            - CLEANUP
            - STOPPED
          example: AVAILABLE
          type: string
      type: object
    models.PatchServerResponse:
      description: Response for patching a server
      properties:
        server:
          $ref: '#/components/schemas/models.ServerSummary'
      type: object
    models.ErrorResponse:
      description: Generic error response
      properties:
        error:
          type: string
      type: object
    models.ServerSummary:
      description: Summary of a server for listing
      properties:
        cpu_usage:
          example: 25.5
          type: number
        created_at:
          example: '2023-01-01T12:00:00Z'
          type: string
        ip:
          example: 127.0.0.1
          type: string
        last_activity:
          example: '2023-01-01T12:00:00Z'
          type: string
        max_memory:
          example: 2048
          type: integer
        max_players:
          example: 20
          type: integer
        memory_usage:
          example: 512
          type: number
        min_memory:
          example: 1024
          type: integer
        network_id:
          example: 123e4567-e89b-12d3-a456-426614174000
          type: string
        numerical_id:
          example: 1
          type: integer
        persistent_server:
          $ref: '#/components/schemas/models.PersistentServerInfo'
        persistent_server_id:
          example: 123e4567-e89b-12d3-a456-426614174000
          type: string
        player_count:
          example: 5
          type: integer
        port:
          example: 25565
          type: integer
        properties:
          additionalProperties: {}
          type: object
        server_group:
          $ref: '#/components/schemas/models.ServerGroupInfo'
        server_group_id:
          example: 123e4567-e89b-12d3-a456-426614174000
          type: string
        server_id:
          example: 123e4567-e89b-12d3-a456-426614174000
          type: string
        serverhost_id:
          example: 123e4567-e89b-12d3-a456-426614174000
          type: string
        state:
          enum:
            - QUEUED
            - PREPARING
            - STARTING
            - AVAILABLE
            - INGAME
            - STOPPING
            - CLEANUP
            - STOPPED
          example: AVAILABLE
          type: string
        updated_at:
          example: '2023-01-01T12:00:00Z'
          type: string
      type: object
    models.PersistentServerInfo:
      description: Persistent server information
      properties:
        active:
          type: boolean
        created_at:
          type: string
        id:
          type: string
        max_memory:
          type: integer
        max_players:
          type: integer
        min_memory:
          type: integer
        name:
          type: string
        properties:
          additionalProperties: {}
          type: object
        serverhost_id:
          type: string
        source:
          $ref: '#/components/schemas/models.SourceConfig'
        tags:
          items:
            type: string
          type: array
          uniqueItems: false
        type:
          type: string
        updated_at:
          type: string
        workflows:
          $ref: '#/components/schemas/models.WorkflowsConfig'
      type: object
    models.ServerGroupInfo:
      description: Server group information
      properties:
        created_at:
          type: string
        deployment_config:
          additionalProperties: {}
          type: object
        deployment_strategy:
          type: string
        id:
          type: string
        name:
          type: string
        properties:
          additionalProperties: {}
          type: object
        scaling_config:
          additionalProperties: {}
          type: object
        source:
          $ref: '#/components/schemas/models.SourceInfo'
        tags:
          items:
            type: string
          type: array
          uniqueItems: false
        type:
          type: string
        updated_at:
          type: string
        workflows_config:
          additionalProperties: {}
          type: object
      type: object
    models.SourceConfig:
      description: Source configuration for server groups
      properties:
        blueprint:
          example: 123e4567-e89b-12d3-a456-426614174000
          type: string
        image:
          example: ghcr.io/user/custom-image:latest
          type: string
        type:
          example: blueprint
          type: string
      type: object
    models.WorkflowsConfig:
      description: Workflows configuration for server groups
      properties:
        manual:
          items:
            type: string
          type: array
          uniqueItems: false
        when:
          $ref: '#/components/schemas/models.WorkflowWhen'
      type: object
    models.SourceInfo:
      description: Source configuration information
      properties:
        blueprint:
          $ref: '#/components/schemas/models.BlueprintInfo'
        image:
          type: string
        type:
          type: string
      type: object
    models.WorkflowWhen:
      description: When workflows should be executed
      properties:
        start:
          items:
            type: string
          type: array
          uniqueItems: false
        stop:
          items:
            type: string
          type: array
          uniqueItems: false
      type: object
    models.BlueprintInfo:
      description: Blueprint information
      properties:
        configurator:
          type: string
        created_at:
          type: string
        id:
          type: string
        minecraft_version:
          type: string
        name:
          type: string
        runtime_config:
          additionalProperties: {}
          type: object
        server_software:
          type: string
        server_url:
          type: string
        software_version:
          type: string
        updated_at:
          type: string
        workflow_steps:
          items:
            type: string
          type: array
          uniqueItems: false
      type: object

````